package com.ruoyi.project.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

import java.util.List;

/**
 * 【出图模板】对象 ti_templates
 * 
 * @author ruoyi
 * @date 2024-05-16
 */
public class TiTemplates extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 土建出图模板名 */
    @Excel(name = "土建出图模板名")
    private String templateName;

    /** 电梯位置描述 */
    @Excel(name = "电梯位置描述")
    private String elevatorPosition;

    /** 电梯数量 */
    @Excel(name = "电梯数量")
    private Long elevatorQuantity;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    /** 模板图片 */
    @Transient
    private String file;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTemplateName(String templateName)
    {
        this.templateName = templateName;
    }

    public String getTemplateName()
    {
        return templateName;
    }
    public void setElevatorPosition(String elevatorPosition) 
    {
        this.elevatorPosition = elevatorPosition;
    }

    public String getElevatorPosition() 
    {
        return elevatorPosition;
    }
    public void setElevatorQuantity(Long elevatorQuantity) 
    {
        this.elevatorQuantity = elevatorQuantity;
    }

    public Long getElevatorQuantity() 
    {
        return elevatorQuantity;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getFile() {
        return file;
    }

    public void setFile(String file) {
        this.file = file;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("templateName", getTemplateName())
            .append("elevatorPosition", getElevatorPosition())
            .append("elevatorQuantity", getElevatorQuantity())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
